# flatpak repo

flatpak

Developer
Alexander
Larsson
alexl@redhat.com
flatpak repo
1

# flatpak-repo

Show information about a local repository

                    flatpak repo
                    OPTION
                    LOCATION

## Description

Show information about a local repository.

If you need to modify a local repository, see the `flatpak build-update-repo` command, or use the `ostree` tool.

## Options

The following options are understood:

`-h`
`--help`

  Show help options and exit.

`--info`

  Print general information about a local repository.

`--branches`

  List the branches in a local repository.

`--metadata=BRANCH`

  Print metadata for a branch in the repository.

`--commits=BRANCH`

  Show commits and deltas for a branch in the repository.

`-v`
`--verbose`

  Print debug information during command processing.

`--ostree-verbose`

  Print OSTree debug information during command processing.

## Examples

`$ flatpak repo --info ~/my-repo`

## See also

flatpak 1, flatpak-info 1 flatpak-build-update-repo 1 ostree 1